<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {

        Schema::table('vehicle_registers', function (Blueprint $table) {
            $table->unsignedBigInteger('vehicle_type')->change()->nullable();
            $table->boolean('status')->change()->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        
      Schema::table('vehicle_registers', function (Blueprint $table) {
            $table->string('vehicle_type')->change()->nullable();
            $table->string('status')->change()->nullable();
        });
    }
};
